DLAG2S(3F)

NAME
DLAG2S - a DOUBLE PRECISION matrix, SA, to a SINGLE PRECISION matrix, A

SYNOPSIS

SUBROUTINE DLAG2S(
    M, N, A, LDA, SA, LDSA, INFO)

INTEGER
    INFO,LDA,LDSA,M,N

REAL
    SA(LDSA,*)

DOUBLE
    PRECISION A(LDA,*)

PURPOSE
DLAG2S converts a DOUBLE PRECISION matrix, SA, to a SINGLE PRECISION matrix, A. RMAX is the overflow for the SINGLE PRECISION arithmetic
DLAG2S checks that all the entries of A are between -RMAX and RMAX. If not the convertion is aborted and a flag is raised. This is a helper routine so there is no argument checking.

ARGUMENTS

M       (input) INTEGER
    The number of lines of the matrix A. M >= 0.

N       (input) INTEGER
    The number of columns of the matrix A. N >= 0.

A       (input) DOUBLE PRECISION array, dimension (LDA,N)
    On entry, the M-by-N coefficient matrix A.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,M).

SA      (output) REAL array, dimension (LDSA,N)
    On exit, if INFO=0, the M-by-N coefficient matrix SA.

LDSA    (input) INTEGER
    The leading dimension of the array SA. LDSA >= max(1,M).

INFO    (output) INTEGER
    = 0: successful exit
    > 0: if INFO = k, the (i,j) entry of the matrix A has overflowed when moving from DOUBLE PRECISION to SINGLE k is given by k = (i-1)*LDA+j ========= End of DLAG2S